Name:           perl-Sort-Versions
Version:        1.5
Release:        1mdk
License:        GPL or Artistic

%define realname        Sort-Versions
Group:          Development/Perl
Summary:        A perl 5 module for sorting of revision-like numbers
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Sort/%{realname}-%{version}.tar.bz2
Url:            http://www.cpan.org
Prefix:         %{_prefix}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl-devel
Requires:       perl >= 5.002
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description 
Sort::Versions allows easy sorting of mixed non-numeric and
numeric strings, like the "version numbers" that many
shared library systems and revision control packages use.
This is quite useful if you are trying to deal with shared
libraries. It can also be applied to applications that
intersperse variable-width numeric fields within text.
Other applications can undoubtedly be found.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Mon Dec 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5-1mdk
- 1.5

* Thu Nov  6 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.1-1mdk
- New package
